package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Pig extends Sprite<Pig.PigState> {
    public enum PigState {
        LEFT, RIGHT, LEFT_HURT, RIGHT_HURT
    }

    public Pig() {
        loadResources(new HashMap<>() {
            {
                put(PigState.LEFT, "mobs/pig/left.ans");
                put(PigState.RIGHT, "mobs/pig/right.ans");
                put(PigState.LEFT_HURT, "mobs/pig/lefthurt.ans");
                put(PigState.RIGHT_HURT, "mobs/pig/righthurt.ans");
            }
        }, PigState.class);
    }

    public String getSprite() {
        return getSprite(PigState.RIGHT);
    }

    public String getSprite(PigState e) {
        return getResource(e);
    }
}
